org.apache.ivy.util

## Class MemoryUtil

- java.lang.Object
- - org.apache.ivy.util.MemoryUtil

    public final class MemoryUtil
    extends java.lang.Object

Memory related utilities.

### Method Summary

Methods
`static long` `getUsedMemory()` Returns the currently used memory, after calling garbage collector and waiting enough to get maximal chance it is actually called.
`static void` `main(java.lang.String[] args)`
`static long` `sizeOf(java.lang.Class clazz)` Returns the approximate size of a default instance of the given class.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### sizeOf

    public static long sizeOf(java.lang.Class clazz)

Returns the approximate size of a default instance of the given class.

Parameters:
  `clazz` - the class to evaluate.
Returns:
  the estimated size of instance, in bytes.

#### getUsedMemory

    public static long getUsedMemory()

Returns the currently used memory, after calling garbage collector and waiting enough to get maximal chance it is actually called. But since `Runtime.gc()` is only advisory, results returned by this method should be treated as rough approximation only.

Returns:
  the currently used memory, in bytes.

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.ClassNotFoundException

Throws:
  `java.lang.ClassNotFoundException`